#!/usr/bin/env gnuplot

reset

set terminal pdfcairo enhanced color size 7.5 cm, 8 cm
set multiplot layout 2,1

#set lmargin 7.0
#set bmargin 3.5
#set rmargin 2.0
#set tmargin 2.0

#set yrange [0.0:0.73]
#set xrange [-0.13:1.13]
#set key bottom right #samplen 0.9

#set xlabel "Effective normal stress, {/Symbol s}_n' [kPa]"
set ylabel "Shear stress, {/Symbol t} [kPa]"
set key bottom right font ",10"
plot "<sort -nk 3 mohr_coulomb_v3.169e-6ms.txt" u ($3/1e3):($3*$5/1e3) w lp title "v = 100 m/a", \
	"<sort -nk 3 mohr_coulomb_v9.506e-6ms.txt" u ($3/1e3):($3*$5/1e3) w lp title "v = 300 m/a"

set xlabel "Effective normal stress, {/Symbol s}_n' [kPa]"
set ylabel "Shear friction, {/Symbol m} [-]"
set key top right font ",10"
plot "<sort -nk 3 mohr_coulomb_v3.169e-6ms.txt" u ($3/1e3):5 w lp title "v = 100 m/a", \
	"<sort -nk 3 mohr_coulomb_v9.506e-6ms.txt" u ($3/1e3):5 w lp title "v = 300 m/a"
