#!/usr/bin/env gnuplot

reset

set terminal pdfcairo enhanced color size 8.3 cm, 8.3 cm font ",10"
set multiplot layout 2,1

rswidth = 1

set lmargin 8.0
set bmargin 3.5
set rmargin 2.5
set tmargin 2.0

A_f_crit = (rho_s - rho_f) * g * d_s**3.0 / 1000.0	# [kPa]

labelx = 0.08
set label "a" at screen labelx,0.98 font "{:Bold},12"
set label "b" at screen labelx,0.48 font "{:Bold},12"

set yrange [-0.1:1]
set ylabel "Max. expected shear depth [m]"
set arrow from A_f_crit,-0.1 to A_f_crit,1 nohead lc "black" front
plot "max_depth_daily.txt" u ($1/1000):($2) w l t ''

set xrange [0:*]
set yrange [0:*]

#set xlabel "Normalized horizontal velocity, v_x [-]"
set xlabel "Amplitude of water-pressure fluctuations, {/:Italic A}_f [kPa]"
#set ylabel "Spec. sediment flux [m²/a]"
set ylabel "Sediment flux, {/:Italic q}_t [m²/a]"
set key bottom right font ",10" invert #samplen 0.9
#set title "{/:Italic v} = 100 m/a"
set yrange [0:*]
set arrow from A_f_crit,0 to A_f_crit,30 nohead lc "black" front
plot	"sediment_flux_freq1.157e-5s.txt" u ($1):($2*3600*24*365.25*rswidth) w lp t ""
