#!/usr/bin/env gnuplot

reset

set terminal pdfcairo enhanced color size 8.3 cm, 8.3 cm font ",10"
set multiplot layout 1,2

set lmargin 10.0
set bmargin 3.5
set rmargin 2.0
set tmargin 2.0

set xrange [-5 : 105]
set yrange [0.02 : 0]

labely = 0.98
set label "c" at screen 0.08,labely font "{:Bold},12"
set label "d" at screen 0.58,labely font "{:Bold},12"

#set xlabel "Normalized horizontal velocity, {/:Italic v}_x [-]"
set xlabel "Horizontal velocity, {/:Italic v} [m/a]"
set ylabel "Depth beneath ice-bed interface, {/:Italic z} [m]"
set key bottom right font ",10" #samplen 0.9
set title "{/:Italic v} = 100 m/a"
plot "strain_distribution_N8kPa_v3.169e-6ms.txt" u ($2*365*24*3600):(-1*$1+0.11) w l lw 2 title "{/:Italic N}' = 8 kPa", \
     "strain_distribution_N22kPa_v3.169e-6ms.txt" u ($2*365*24*3600):(-1*$1+0.11) w l lw 2 title "{/:Italic N}' = 22 kPa", \
     "strain_distribution_N50kPa_v3.169e-6ms.txt" u ($2*365*24*3600):(-1*$1+0.11) w l lw 2 title "{/:Italic N}' = 50 kPa"

#unset xrange

##set xlabel "Normalized horizontal velocity, v_x [-]"
#set xlabel "Shear-strain rate, dv_x/dz [1/d]"
#set ylabel "Vertical position, z [m]"
#set key bottom right font ",10" #samplen 0.9
#plot "strain_distribution_N8kPa_v9.506e-6ms.txt" u ($6*24*3600):($1-0.11) w l lw 2 title "{/Symbol s}_n' = 8 kPa", \
     #"strain_distribution_N22kPa_v9.506e-6ms.txt" u ($6*24*3600):($1-0.11) w l lw 2 title "{/Symbol s}_n' = 22 kPa", \
     #"strain_distribution_N50kPa_v9.506e-6ms.txt" u ($6*24*3600):($1-0.11) w l lw 2 title "{/Symbol s}_n' = 50 kPa"


set xrange [-15 : 315]
#set yrange [0 : 0.11]

#set xlabel "Normalized horizontal velocity, {/:Italic v}_x [-]"
#set xlabel "Depth, {/:Italic v} [m/a]"
unset ylabel
set xtics 0,100,300
set key bottom right font ",10" #samplen 0.9
set title "{/:Italic v} = 300 m/a"
plot "strain_distribution_N8kPa_v9.506e-6ms.txt" u ($2*365*24*3600):(-1*$1+0.11) w l lw 2 title "{/:Italic N}' = 8 kPa", \
     "strain_distribution_N22kPa_v9.506e-6ms.txt" u ($2*365*24*3600):(-1*$1+0.11) w l lw 2 title "{/:Italic N}' = 22 kPa", \
     "strain_distribution_N50kPa_v9.506e-6ms.txt" u ($2*365*24*3600):(-1*$1+0.11) w l lw 2 title "{/:Italic N}' = 50 kPa"
