#!/usr/bin/env gnuplot

reset

set terminal pdfcairo enhanced color size 13 cm, 4.5 cm font ",10"
set multiplot layout 1,3

set ylabel "Depth [m]"
set yrange [2 : 0]

set xrange [-30 : 30]
set xlabel "Water pressure [kPa]"
plot f u ($4/1000):(-$1 + 2) w l t '' lw 2

set ylabel ""

set xrange [65 : 125]
set xlabel "Effective stress [kPa]"
plot f u ($3/1000):(-$1 + 2) w l t '' lw 2

set xrange [-5 : 105]
set xlabel "Shear velocity [m/a]"
plot f u ($2*3600*24*365):(-$1 + 2) w l t '' lw 2
